local S = minetest.get_translator("default")

--
-- Node definitions
--

minetest.register_node(":technic_farming:mp_water_mill", {
	description = S("MP water mill"),
	tiles = {
		"technic_farming_water_mill_front.png^[transformR90",
		"technic_farming_water_mill_front.png^[transformR90",
		"technic_farming_water_mill_front.png",
		"technic_farming_water_mill_front.png",
		"technic_farming_water_mill_side.png",
		"technic_farming_water_mill_side.png"
	},
	paramtype2 = "facedir",
	groups = {cracky=2},
	legacy_facedir_simple = true,
	is_ground_content = false,
	sounds = default.node_sound_stone_defaults(),
})

minetest.register_craft({
	output = 'technic_farming:mp_water_mill',
	recipe = {
		{'technic_farming:wooden_screw', 'group:wood',        'technic_farming:wooden_screw'},
		{'group:wood',     'technic_farming:wooden_plate', 'group:wood'},
		{'group:stone', 'group:wood',       'group:stone'},
	}
})
